namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;

public interface IMotionRepository
{
	bool Add(Motion motion);
	List<Motion> GetByAccount(Guid accountId, DateTime dateFrom, DateTime dateTo);
	Motion? Get(Guid userId, Guid id);
	bool Update(Motion motion);
	bool Remove(Motion motion);
}